#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.11
visibility:           public
id:                   stm-hamt-1.2.0.11-rv6CJ4v3Lu6NFJ6eP68ze
key:                  stm-hamt-1.2.0.11-rv6CJ4v3Lu6NFJ6eP68ze
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by
    <http://hackage.haskell.org/package/stm-containers the "stm-containers" library>.

category:             Data Structures, STM, Concurrency
abi:                  d02ed55dfa5e5d964b46f1a39d0fb5a7
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.11-rv6CJ4v3Lu6NFJ6eP68ze
depends:
    base-4.15.1.0 deferred-folds-0.9.18.3-1Pet86K8qiYHXnIvbGTU2g
    focus-1.0.3.1-310jKOFjpjx4fen2frbogp
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t
    list-t-1.0.5.4-5lzyviCNlVD5JbiGbPfASo
    primitive-0.7.4.0-JFgq55EjFCf8s3doKhoFdY
    primitive-extras-0.10.1.7-IxczLb6Xg3oJI4wOYMrLPo
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

